Bug 182550

Summary: [exp-run] [patch] Change the default Perl version from 5.14 to 5.16.
Product: Ports & Packages Reporter: Mathieu Arnold <mat>
Component: Individual Port(s)Assignee: Bryan Drewery <bdrewery>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
perl-5.16-default.diff none

Description Mathieu Arnold freebsd_committer 2013-10-01 16:30:00 UTC
I'd like to change the default version of perl, so that I can deprecate 5.14
when I'm done, and go back down to a reasonable amount of perl versions in the
tree (like 2).
Comment 1 Mathieu Arnold freebsd_committer 2013-10-01 16:32:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Exp-run is for portmgr.
Comment 2 Bryan Drewery freebsd_committer 2013-10-01 16:35:53 UTC
Responsible Changed
From-To: portmgr->bdrewery

I'll take it.
Comment 4 Bryan Drewery freebsd_committer 2013-10-02 12:43:39 UTC
Responsible Changed
From-To: bdrewery->mat

back to mat
Comment 5 Mathieu Arnold freebsd_committer 2013-10-18 11:37:28 UTC
Responsible Changed
From-To: mat->bdrewery

Back to you, now everything's been fixed, do we do another exp-run or should I 
go ahead and commit the change?
Comment 6 Bryan Drewery freebsd_committer 2013-10-19 21:24:04 UTC
I'll run another since some were skipped from the failures.
-- 
Regards,
Bryan Drewery
Comment 7 Bryan Drewery freebsd_committer 2013-10-22 01:06:54 UTC
Only new suspect failure:

http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_182550/2013-10-19_20h37m59s/logs/errors/fspd-2.8.1.26.log

-- 
Regards,
Bryan Drewery
Comment 8 Bryan Drewery freebsd_committer 2013-10-22 01:07:15 UTC
Responsible Changed
From-To: bdrewery->mat

back to mat after exp-run
Comment 9 Mathieu Arnold freebsd_committer 2013-10-22 07:02:14 UTC
+--On 21 octobre 2013 19:06:54 -0500 Bryan Drewery <bdrewery@FreeBSD.org>
wrote:
| Only new suspect failure:
| 
| http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_182550/2013-10-1
| 9_20h37m59s/logs/errors/fspd-2.8.1.26.log

I was unable to have this one build even with perl 5.14, so, I left it to
itself.

-- 
Mathieu Arnold
Comment 10 Mathieu Arnold freebsd_committer 2013-10-22 08:30:14 UTC
Responsible Changed
From-To: mat->bdrewery

This one doesn't build with perl 5.14 either :-)
Comment 11 dfilter service freebsd_committer 2013-10-23 11:26:31 UTC
Author: mat
Date: Wed Oct 23 10:26:23 2013
New Revision: 331361
URL: http://svnweb.freebsd.org/changeset/ports/331361

Log:
  Change default perl to lang/perl5.16
  
  PR:		ports/182550
  Submitted by:	mat
  Approved by:	bdrewery (exp-run)

Modified:
  head/Mk/bsd.default-versions.mk
  head/UPDATING

Modified: head/Mk/bsd.default-versions.mk
==============================================================================
--- head/Mk/bsd.default-versions.mk	Wed Oct 23 09:59:18 2013	(r331360)
+++ head/Mk/bsd.default-versions.mk	Wed Oct 23 10:26:23 2013	(r331361)
@@ -17,7 +17,7 @@ _l=		${lang:C/=.*//g}
 ${_l:U}_DEFAULT=	${lang:C/.*=//g}
 .endfor
 
-PERL5_DEFAULT?=		5.14
+PERL5_DEFAULT?=		5.16
 RUBY_DEFAULT?=		1.9
 TCLTK_DEFAULT?=		8.6
 PYTHON_DEFAULT?=	2.7

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Wed Oct 23 09:59:18 2013	(r331360)
+++ head/UPDATING	Wed Oct 23 10:26:23 2013	(r331361)
@@ -5,6 +5,15 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20131023:
+  AFFECTS: users of lang/perl5.12 lang/perl5.14
+  AUTHOR: mat@FreeBSD.org
+
+  The default perl has been switched to lang/perl5.16. If you're using binary
+  packages, you need to do :
+
+  # pkg set -o lang/perl5.14:lang/perl5.16
+
 20131020:
   AFFECTS: users of mail/squirrelmail
   AUTHOR: adamw@adamw.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 12 Mathieu Arnold freebsd_committer 2013-10-23 11:52:06 UTC
State Changed
From-To: open->closed

Committed.